Subject: Re: SIGSEGV in merge recursive

From: Luben Tuikov <[email-masked]>
Date: Sat, 30 Dec 2006 17:42:06 -0800 (PST)

--- Johannes Schindelin <[email-masked]> wrote:
> On Fri, 29 Dec 2006, Luben Tuikov wrote:
> 
> > > > Failed to read a valid object file image from memory.
> > > 
> > > Who says this?
> 
> Again, who says this? I cannot find _anything_ in my local repo (with its 
> own set of modifications, which do not hide such a message).

GDB.  This message is not present when I run it manually from shell prompt.

> Given that there is a fix in master for a segfault, I have to admit that I 
> believe you did not use _that_ version, but a git without that fix.

A-ha!  Since I never run master, after I read your message, I compiled
master, installed it and tried the same merge/pull and it succeeded -- i.e.
didn't segfault, but complained about unresolved conflicts (as it should).

So it appears that the fix is in "master", but not in "next".

Junio, can you confirm this?

    Luben

> Besides, Alexandre hit an interesting bug, which is not at all easy to 
> reproduce (except with three 70k files which I don't want to include in 
> the test set). Since Alexandre provided _examples_ where I can _reproduce_ 
> the problem, I will be working on that bug, and not yours.
> 
> Ciao,
> Dscho
> 
>